Subject: PGM_BIGGRAYS version of netpbm

From: [email-masked] (Brian Reynolds)
Date: 12 Jun 1994 14:22:26 -0400

I have the 1mar1994 version of netpbm.  I want to use it to process 12
or 16 bit grayscale images from a CCD camera.  I defined PGM_BIGGRAYS,
but I've realized that a lot of the pbmplus (and I guess netpbm)
utilities hard code PGM_MAXMAXVAL to 255 in calls to the various
library routines.  Has anyone cleaned up netpbm to actually use
PGM_MAXMAXVAL instead of 255 (or any other hard coded value)?  I also
noticed that PGM_BIGGRAYS is only defined in pbmplus.h, which is not
installed by the distributed make file.  If noone else is working on
this, and I make the changes, who do I send them to so that the next
version of netpbm (or pbmplus) includes them?

-- 
Brian Reynolds     | "But in the new approach, as you know, the important
[email-masked] |  thing is to understand what you're doing rather than
NAR# 54438         |  to get the right answer."
IPMS# 30162        |   -- Tom Lehrer